
From: William Lee Irwin III <wli@holomorphy.com>

The rest of gen_init_cpio.c seems to cast the result of strlen() to handle
this situation, so this patch follows suit while killing off size_t -related
printk() warnings.

Signed-off-by: William Irwin <wli@holomorphy.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/usr/gen_init_cpio.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN usr/gen_init_cpio.c~kill-gen_init_cpioc-printk-of-size_t-warning usr/gen_init_cpio.c
--- 25/usr/gen_init_cpio.c~kill-gen_init_cpioc-printk-of-size_t-warning	Tue Jan  4 15:39:25 2005
+++ 25-akpm/usr/gen_init_cpio.c	Tue Jan  4 15:39:25 2005
@@ -86,7 +86,7 @@ static void cpio_trailer(void)
 		0,			/* minor */
 		0,			/* rmajor */
 		0,			/* rminor */
-		(unsigned)strlen(name) + 1, /* namesize */
+		(unsigned)strlen(name)+1, /* namesize */
 		0);			/* chksum */
 	push_hdr(s);
 	push_rest(name);
@@ -112,7 +112,7 @@ static int cpio_mkslink(const char *name
 		(long) gid,		/* gid */
 		1,			/* nlink */
 		(long) mtime,		/* mtime */
-		strlen(target) + 1,	/* filesize */
+		(unsigned)strlen(target)+1, /* filesize */
 		3,			/* major */
 		1,			/* minor */
 		0,			/* rmajor */
_
